# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include dns::configure
class dns::configure {
  file {"/etc/bind/named.conf.options":
    ensure => present,
    backup  => ".pre-puppet",
    content => file("dns/conf/named.conf.options"),
    notify => Service['bind9']
  }

  file {"/etc/bind/named.conf":
    ensure => present,
    backup  => ".pre-puppet",
    content => file("dns/conf/named.conf"),
    notify => Service['bind9']
  }

  file {"/etc/bind/named.conf.local":
    ensure => present,
    backup  => ".pre-puppet",
    content => file("dns/conf/named.conf.local"),
    notify => Service['bind9']
  }

  file {"/var/cache/bind/db.fortytwo.it":
    ensure => present,
    backup  => ".pre-puppet",
    content => file("dns/zones/db.fortytwo.it"),
    notify => Service['bind9']
  }

  file {"/var/cache/bind/db.alfarano.net":
    ensure  => present,
    backup  => ".pre-puppet",
    content => file("dns/zones/db.alfarano.net"),
    notify  => Service['bind9']
  }

 service { 'bind9':
    ensure  => running,
    enable  => true,
    require => Class['dns::install'],
  }
}
